Subject: Re: Megaco Extensions

From: Chip Sharp <[email-masked]>
Date: Mon, 14 Feb 2000 11:57:49 -0500

I may have just posted this, but I don't know if it got out.

It is true that packages can extend parameters, events and signals for a
termination,
but packages do nothing for extending the base protocol operation.  For
example, in v2,
can we add the following in a backward-compatible fashion:
      command
      context attribute
      descriptor
      Descriptor modifier or action (e.g., like KeepAlive)
      etc.

Therefore, the closure of this issue should not be confused with the
extension of the protocol in V2.
I anticipate that there will be changes to the protocol based on
implementation and deployment experience
and it would be a shame to get locked into a kludgy workaround because we
did not allow backward compatible
syntax.

Thanks,
Chip

At 09:11 PM 1/26/00 -0500, Tom-PT Taylor wrote:
>The primary form of extension of the protocol is through packages.  Auditing
>of packages is a separate issue.  It is also possible to have extensions on
>modem types and MUX types, and as parameters in ServiceChange.
>AuditCapability should pick up the modem and MUX type extensions.  There is
>no point in auditing ServiceChange extensions, since ServiceChange precedes
>any audits.
>
>Conclusion: issued closed except for packages.
>
>                     From:         Chip Sharp <[email-masked]>
>                     Subject:      Auditing
>                     Content-Type: text/plain; charset="us-ascii";
>format=flowed
>
>                     Section:        7.1.12, table
>                     Category:       Technical
>                     Issue:          The draft text lists "Extensions" as
>auditable items,
>                     however the rest of the draft recommendation does not
>define how auditing
>                     of extensions is performed.
>                     Proposal:       It is recommend, that the example API
>and the protocol
>                     syntax are extended to include auditing of extensions.
>
>                     v13 Status:     The new draft has removed extensions
>from the table.   The
>                     implications are there are no extensions to descriptors
>allowed in the new
>                     draft, only extensions to parameters(?).  Also, there is
>no way to audit
>                     for extensions.
>
>Tom Taylor
>Advisor -- IPConnect Standards
>E-mail: [email-masked] (internally, Tom-PT Taylor)
>Phone and FAX: +1 613 736 0961

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.
--------------------------------------------------